This directory contains test scenarios (tunmap, tunend) run on a setup which consists out of 3 machines, all of them are inter-connected via a Mellanox SN2700 32x 100GE switch.

Machines:
* TRex: This machine runs TRex to generate/consume traffic emulating both RAN
  and CN around the UPF.
* UPF: This machine runs the UPF under test, be it osmo-upf, eupf, etc.
* CPF: This machine runs the userspace program in charge of setting up the UPF
  sessions over PFCP, hence acting as a CPF. It runs osmo-upf-load-gen tool from
  this same repository.

The CPF could actually also be run eg. at TRex machine and route PFCP traffic
over the external network towards UPF. Note it cannot easily use the network
interfaces (internal network) used to transmit GTPU, since those are controlled
by TRex and not by the linux kernel, hence why CPF is simply placed in another
machine.

See setup.dot in this same directory to understand better the general topology.