#!/bin/bash -xe

SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )

# Number of GTPU streams to generate
NUM_STREAMS=100000
# Number of src (RAN) GTPU IP addresses to be used:
NUM_ADDRS=100

# TODO: apply this automatically with "expect":
echo "To start the test, run:      > reset; start -f ${SCRIPT_DIR}/gtp_1pkt_simple.py -p 0 -m 4000kpps -d 60 -t num-streams=${NUM_STREAMS},num-addrs=${NUM_ADDRS}"
echo "Once the test finishes, run: > stats"

# Needs to be executed from /opt/trex ...
cd /opt/trex/
/opt/trex/trex-console

# Troubleshooting:
# > portattr
# > service
# > ping -p 0 -d 172.16.32.1 -n 3
# > ping -p 1 -d 172.16.31.2 -n 3
# > service --off
