#!/bin/bash -xe

SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )

# see https://trex-tgn.cisco.com/trex/doc/trex_astf.html#_gtpu_traffic_tutorials

printf "To start the test, run: > \ntunnel --type gtpu;\ntunnels_topo load -f %s/gtpu_topo.py;\nstart -f %s/http_simple.py -m 5000 -d 300;\n" "${SCRIPT_DIR}" "${SCRIPT_DIR}"

printf "Once the test finished, run: >\ntunnel --type gtpu --off;\n stats\n"
# Needs to be executed from /opt/trex ...
cd /opt/trex/
/opt/trex/trex-console

# Troubleshooting:
# > portattr
# > service
# > ping -p 0 -d 172.16.32.1 -n 3
# > ping -p 1 -d 172.16.31.2 -n 3
# > service --off
# > tunnels_topo show
